#ifndef AVAILABLE_H
#define AVAILABLE_H

#include "resultset.h"
#include <vector>
#include <string>

using namespace std;

bool available(ResultSet rackdata,vector<vector<int> > constraints,vector<vector<int> > triggers,string name);
int rackStatus(ResultSet rackdata,string name);
int rackStatus(ResultSet rackdata,int idx);
#endif
